| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
SimpleRefHolder< T > Class Template Reference

manages a reference count of a pointer to a class that takes a simple "deref()" call with no arguments More...

`#include <ReferenceHolder.h>`

## Public Member Functions
DLLLOCAL | SimpleRefHolder (SimpleRefHolder &&old)
| move constructor More...

## Detailed Description

### template<typename T = class SimpleQoreNode>
class SimpleRefHolder< T >

manages a reference count of a pointer to a class that takes a simple "deref()" call with no arguments

SimpleRefHolder<QoreStringNode> str(new QoreStringNode(QCS_UTF8));
// QoreString::concatUnicode() can raise a Qore-language exception if the code is invalid
str->concatUnicode(code, xsink);
return *xsink ? str.release() : 0;

## Constructor & Destructor Documentation

## ◆ SimpleRefHolder()

template<typename T = class SimpleQoreNode>

DLLLOCAL SimpleRefHolder< T >::SimpleRefHolder | ( | SimpleRefHolder< T > && | old | ) |
| inline

move constructor

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/ReferenceHolder.h